package examenes.examen20250321.controlador;

import examenes.examen20250321.modelo.Localidad;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

public class ControladorLocalidad {
    public static List<Localidad> getAllLocalidades() {
        Connection conn = GestorConexiones.getConnection();
        List<Localidad> localidades = new ArrayList<>();
        try {
            Statement st = conn.createStatement();
            ResultSet rs = st.executeQuery("select * from localidad;");

            while (rs.next()) {
                localidades.add(new Localidad(rs.getInt("id"), rs.getString("descripcion")));
            }
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
        return localidades;
    }
}
